## r-cran-ps 1.3.0

=== DESCRIPTION ===
Package: ps
Version: 1.3.0
Title: List, Query, Manipulate System Processes
Description: List, query and manipulate all system processes, on 'Windows',
    'Linux' and 'macOS'.
Authors@R: c(
    person("Jay", "Loden", role = "aut"),
    person("Dave", "Daeschler", role = "aut"),
    person("Giampaolo", "Rodola'", role = "aut"),
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", c("aut", "cre")),
    person("RStudio", role = "cph"))
License: BSD_3_clause + file LICENSE
URL: https://github.com/r-lib/ps#readme
BugReports: https://github.com/r-lib/ps/issues
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: utils
Suggests: callr, covr, curl, pingr, processx (>= 3.1.0), R6, rlang,
        testthat, tibble
RoxygenNote: 6.1.1
Biarch: true
NeedsCompilation: yes
Packaged: 2018-12-20 20:34:33 UTC; gaborcsardi
Author: Jay Loden [aut],
  Dave Daeschler [aut],
  Giampaolo Rodola' [aut],
  Gábor Csárdi [aut, cre],
  RStudio [cph]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2018-12-21 14:50:03 UTC

=== debian/changelog ===
r-cran-ps (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Jan 2019 19:11:13 +0100

r-cran-ps (1.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream version

  [ Andreas Tille ]
  * Drop now unused override since dh-r cares for this

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Nov 2018 18:30:17 +0100

r-cran-ps (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * documentation is where it is expected by GNU R users

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 20:32:53 +0200

r-cran-ps (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #906640)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Aug 2018 08:11:06 +0200

=== debian/control ===
Source: r-cran-ps
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
Homepage: https://cran.r-project.org/package=ps

Package: r-cran-ps
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R list, query, manipulate system processes
 This GNU R package provides functions to list, query and manipulate
 all system processes.  This is an implementation of the Linux
 command ps for R.

## r-cran-ps 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ps
-Version: 1.3.0
+Version: 1.3.2
 Title: List, Query, Manipulate System Processes
 Description: List, query and manipulate all system processes, on 'Windows',
     'Linux' and 'macOS'.
@@ -17,10 +17,10 @@
 Imports: utils
 Suggests: callr, covr, curl, pingr, processx (>= 3.1.0), R6, rlang,
         testthat, tibble
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2.9000
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2018-12-20 20:34:33 UTC; gaborcsardi
+Packaged: 2020-02-13 11:07:05 UTC; gaborcsardi
 Author: Jay Loden [aut],
   Dave Daeschler [aut],
   Giampaolo Rodola' [aut],
@@ -28,4 +28,4 @@
   RStudio [cph]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-12-21 14:50:03 UTC
+Date/Publication: 2020-02-13 11:50:03 UTC

=== debian/changelog ===
r-cran-ps (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Add r-cran-tibble to test-deps (Closes: #953778).

 -- Dylan Aïssi <daissi@debian.org>  Sat, 14 Mar 2020 08:20:25 +0100

r-cran-ps (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Feb 2020 07:45:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble
Restrictions: allow-stderr

## r-cran-ps 1.3.3

=== debian/changelog ===
r-cran-ps (1.3.3-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:25:18 +0000

r-cran-ps (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 10 May 2020 08:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps
+Rules-Requires-Root: no
 
 Package: r-cran-ps
 Architecture: any

## r-cran-ps 1.5.0

=== DESCRIPTION ===
Package: ps
Version: 1.5.0
Title: List, Query, Manipulate System Processes
Description: List, query and manipulate all system processes, on 'Windows',
    'Linux' and 'macOS'.
Authors@R: c(
    person("Jay", "Loden", role = "aut"),
    person("Dave", "Daeschler", role = "aut"),
    person("Giampaolo", "Rodola'", role = "aut"),
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", c("aut", "cre")),
    person("RStudio", role = "cph"))
License: MIT + file LICENSE
URL: https://github.com/r-lib/ps#readme
BugReports: https://github.com/r-lib/ps/issues
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: utils
Suggests: callr, covr, curl, pingr, processx (>= 3.1.0), R6, rlang,
        testthat, tibble
RoxygenNote: 7.1.1
Biarch: true
NeedsCompilation: yes
Packaged: 2020-12-05 10:22:34 UTC; gaborcsardi
Author: Jay Loden [aut],
  Dave Daeschler [aut],
  Giampaolo Rodola' [aut],
  Gábor Csárdi [aut, cre],
  RStudio [cph]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2020-12-05 16:40:02 UTC

=== debian/changelog ===
r-cran-ps (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 12:58:26 +0100

r-cran-ps (1.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 13:50:25 +0200

r-cran-ps (1.3.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use xvfb-run in autopkgtest and make sure it will run in a terminal

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 09:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps

## r-cran-ps 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ps
-Version: 1.5.0
+Version: 1.6.0
 Title: List, Query, Manipulate System Processes
 Description: List, query and manipulate all system processes, on 'Windows',
     'Linux' and 'macOS'.
@@ -17,10 +17,10 @@
 Imports: utils
 Suggests: callr, covr, curl, pingr, processx (>= 3.1.0), R6, rlang,
         testthat, tibble
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.1.9001
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2020-12-05 10:22:34 UTC; gaborcsardi
+Packaged: 2021-02-28 20:25:46 UTC; gaborcsardi
 Author: Jay Loden [aut],
   Dave Daeschler [aut],
   Giampaolo Rodola' [aut],
@@ -28,4 +28,4 @@
   RStudio [cph]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-05 16:40:02 UTC
+Date/Publication: 2021-02-28 20:50:02 UTC

=== debian/changelog ===
r-cran-ps (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 21:43:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/ps_([-\d.]*)\.tar\.gz

## r-cran-ps 1.7.1

=== debian/changelog ===
r-cran-ps (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 08:44:45 +0200

r-cran-ps (1.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Dylan Aïssi ]
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 May 2022 10:23:12 +0200

## r-cran-ps 1.7.2

=== DESCRIPTION ===
Package: ps
Title: List, Query, Manipulate System Processes
Version: 1.7.2
Authors@R: c(
    person("Jay", "Loden", role = "aut"),
    person("Dave", "Daeschler", role = "aut"),
    person("Giampaolo", "Rodola'", role = "aut"),
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: List, query and manipulate all system processes, on
    'Windows', 'Linux' and 'macOS'.
License: MIT + file LICENSE
URL: https://github.com/r-lib/ps#readme, https://ps.r-lib.org/
BugReports: https://github.com/r-lib/ps/issues
Depends: R (>= 3.4)
Imports: utils
Suggests: callr, covr, curl, pillar, pingr, processx (>= 3.1.0), R6,
        rlang, testthat (>= 3.0.0),
Biarch: true
Encoding: UTF-8
RoxygenNote: 7.2.1
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: yes
Packaged: 2022-10-26 17:03:09 UTC; gaborcsardi
Author: Jay Loden [aut],
  Dave Daeschler [aut],
  Giampaolo Rodola' [aut],
  Gábor Csárdi [aut, cre],
  RStudio [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2022-10-26 17:32:36 UTC

=== debian/changelog ===
r-cran-ps (1.7.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-ps
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
+Homepage: https://cran.r-project.org/package=ps
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
-Homepage: https://cran.r-project.org/package=ps
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ps
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble, xvfb, xauth, xfonts-base, xterm
Restrictions: allow-stderr

## r-cran-ps 1.7.5

=== debian/changelog ===
r-cran-ps (1.7.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 15:49:25 +0200

## r-cran-ps 1.7.6

=== debian/changelog ===
r-cran-ps (1.7.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 13:08:25 +0100

r-cran-ps (1.7.5-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1045987

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 18:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-curl,
        r-cran-pillar,
        r-cran-pingr,
        r-cran-processx (>= 3.1.0),
        r-cran-r6,
        r-cran-rlang,
        r-cran-testthat (>= 3.0.0),
        r-cran-webfakes,
        xvfb,
        xauth,
        xfonts-base,
        xterm
Restrictions: allow-stderr

## r-cran-ps 1.8.0

=== DESCRIPTION ===
Package: ps
Title: List, Query, Manipulate System Processes
Version: 1.8.0
Authors@R: c(
    person("Jay", "Loden", role = "aut"),
    person("Dave", "Daeschler", role = "aut"),
    person("Giampaolo", "Rodola'", role = "aut"),
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: List, query and manipulate all system processes, on
    'Windows', 'Linux' and 'macOS'.
License: MIT + file LICENSE
URL: https://github.com/r-lib/ps, https://ps.r-lib.org/
BugReports: https://github.com/r-lib/ps/issues
Depends: R (>= 3.4)
Imports: utils
Suggests: callr, covr, curl, pillar, pingr, processx (>= 3.1.0), R6,
        rlang, testthat (>= 3.0.0), webfakes, withr
Biarch: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2024-09-12 09:00:58 UTC; gaborcsardi
Author: Jay Loden [aut],
  Dave Daeschler [aut],
  Giampaolo Rodola' [aut],
  Gábor Csárdi [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2024-09-12 17:40:12 UTC

=== debian/changelog ===
r-cran-ps (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Oct 2024 15:40:03 +0900

r-cran-ps (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 11:26:43 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-ps 1.8.1

=== debian/changelog ===
r-cran-ps (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 12:45:56 +0100

## r-cran-ps 1.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ps
 Title: List, Query, Manipulate System Processes
-Version: 1.8.0
+Version: 1.9.0
 Authors@R: c(
     person("Jay", "Loden", role = "aut"),
     person("Dave", "Daeschler", role = "aut"),
@@ -23,7 +23,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2024-09-12 09:00:58 UTC; gaborcsardi
+Packaged: 2025-02-18 15:40:48 UTC; gaborcsardi
 Author: Jay Loden [aut],
   Dave Daeschler [aut],
   Giampaolo Rodola' [aut],
@@ -31,4 +31,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-12 17:40:12 UTC
+Date/Publication: 2025-02-18 23:10:02 UTC

=== debian/changelog ===
r-cran-ps (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Feb 2025 10:41:35 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
         r-cran-rlang,
         r-cran-testthat (>= 3.0.0),
         r-cran-webfakes,
+        r-cran-withr,
         xvfb,
         xauth,
         xfonts-base,

## r-cran-ps 1.9.1

=== debian/changelog ===
r-cran-ps (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 29 Jan 2026 09:56:19 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-ps
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ps.git
 Homepage: https://cran.r-project.org/package=ps
-Standards-Version: 4.7.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ps
 Architecture: any
